#include "theBiasPlanet/coreUtilities/collectionsHandling/ArraysFactory.hpp"
#include "theBiasPlanet/coreUtilities/constantsGroups/GeneralConstantsConstantsGroup.hpp"

using namespace ::theBiasPlanet::coreUtilities::constantsGroups;

namespace theBiasPlanet {
	namespace coreUtilities {
		namespace collectionsHandling {
			template <typename T> T * ArraysFactory::createArray (T * a_targetArray, list <T> const & a_list) {
				int l_elementIndex = GeneralConstantsConstantsGroup::c_iterationStartingNumber;
				for (T l_element: a_list) {
					a_targetArray [l_elementIndex] = l_element;
					l_elementIndex ++;
				}
				return a_targetArray;
			}
		}
	}
}

